From ae94c23b878121b9290948bb0cb6301a1e092a9e Mon Sep 17 00:00:00 2001
From: Joel Grunbaum <joelgrun@gmail.com>
Date: Sun, 09 May 2021 12:13:48 +0000
Subject: [PATCH] sync database with gdrive

---
 kpsync.sh |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

diff --git a/kpsync.sh b/kpsync.sh
new file mode 100755
index 0000000..f4ae69d
--- /dev/null
+++ b/kpsync.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+if [ "$1" = "pull" ]; then
+	rclone sync GoogleDrive:/Database.kdbx /tmp/
+elif [ "$1" = "push" ]; then
+	rclone sync /tmp/Database.kdbx GoogleDrive:/
+	rm -rf /tmp/Database.kdbx
+else
+	echo "Usage: $0 pull|push"
+	exit 1
+fi

--
Gitblit v1.9.3